Subject: Re: What's cooking in git.git (Sep 2011, #06; Wed, 21)

From: Jakub Narebski <[email-masked]>
Date: Fri, 23 Sep 2011 01:33:32 +0200

Junio C Hamano wrote:
> Jakub Narebski <[email-masked]> writes: 
>> Junio C Hamano <[email-masked]> writes:
>>
>>> --------------------------------------------------
>>> [New Topics]
>>  
>>> * jc/namespace-doc-with-old-asciidoc (2011-09-16) 1 commit
>>>  - Documentation/gitnamespaces.txt: cater to older asciidoc
>>
>> I'll need this to e.g. test the "rpm" target after adding
>> Documentation/gitweb.txt and Documentation/gitweb.conf.txt
>>
>> But it is not something very urgent...
> 
> Now I am confused. If you apply your patch on top of "master" then you
> cannot create "rpm" on your platform, not because your patch is busted,
> but because "master" lacks the documentation fix from that topic. Is that
> what you mean?

Yes, that is what I mean... but that it is only because I use old
version of asciidoc (7.1.2).
 
"make doc" (which is part of "make rpm") fails on my box with

      ASCIIDOC gitnamespaces.html
  ERROR: gitnamespaces.txt: line 9: second section must be named SYNOPSIS
  make[1]: *** [gitnamespaces.html] Error 1

> If the reason the documentation fix for "master" is needed is because a
> new feature scheduled for the upcoming release has broken documentation,
> then wouldn't we need the fix before the release, whether you are working
> on your patch or not? How can it be not urgent if that is the case?
> 
> On my boxes with recent Debian, Ubuntu, and F14, I am not suffering from
> the lack of the workaround, but if distros need the workaround, then the
> time to apply it is now, not post release.

I don't think _modern_ distributions need this workaround... asciidoc 8.4.5
which fixed the issue with "Synopsis" section was released 2009-05-24:

http://www.methods.co.nz/asciidoc/CHANGELOG.html

  Version 8.4.5 (2009-05-24)
  --------------------------
  Additions and changes
  ~~~~~~~~~~~~~~~~~~~~~

    * Added manpage "Name" and "Synopsis" section title customization to
      languages configuration files.
    * "Synopsis" manpage section no longer mandatory.
  [...]

-- 
Jakub Narebski
Poland